<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>1048342221558244352</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1611660730000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>0MRLNB/GDEG9</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>org</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>tradedirect_dey</TargetFieldKey>
                      <SourceFieldKey>tradedirect</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>paycurrency</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>tradedirect = 'buy'</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>交易方向为买入</Description>
                                  <ExprTran>交易方向 = 'buy'</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>sellcurrency</Expression>
                                  <Description/>
                                  <ExprTran>买方卖出币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1B64P=6E8YI6</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>tradedirect = 'sell'</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>交易方向为卖出</Description>
                                  <ExprTran>交易方向 = 'sell'</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>currency</Expression>
                                  <Description/>
                                  <ExprTran>买方买入币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1B64P=6E8UGN</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>reccurrency</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>tradedirect = 'buy'</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>交易方向为买入</Description>
                                  <ExprTran>交易方向 = 'buy'</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>currency</Expression>
                                  <Description/>
                                  <ExprTran>买方买入币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1B64YBZ2K904</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>tradedirect = 'sell'</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>交易方向为卖出</Description>
                                  <ExprTran>交易方向 = 'sell'</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>sellcurrency</Expression>
                                  <Description/>
                                  <ExprTran>买方卖出币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1B64YBZ2K5+L</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settlecurrency</TargetFieldKey>
                      <SourceFieldKey>premiumcurrency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>optdate</TargetFieldKey>
                      <SourceFieldKey>adjexpiredate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settledate_c</TargetFieldKey>
                      <SourceFieldKey>settledate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>tradebill</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>外汇期权.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>buyamount_init</TargetFieldKey>
                      <SourceFieldKey>amount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sellamount_init</TargetFieldKey>
                      <SourceFieldKey>sellamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>buycurrency_init</TargetFieldKey>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>sellcurrency_init</TargetFieldKey>
                      <SourceFieldKey>sellcurrency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>tradedirect</TargetFieldKey>
                      <SourceFieldKey>tradedirect</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.tmc.tm.formplugin.convert.TradeBillConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[],"forList":false}</FilterString>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>tm_businessbill</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>tm_forex_options</SourceEntryKey>
                  <LinkType>Link</LinkType>
                  <SourceLayout>tm_forex_options</SourceLayout>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>tm_businessbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>转换规则_行权</Name>
              <SourceEntityNumber>tm_forex_options</SourceEntityNumber>
              <Id>1048342221558244352</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>1048342221558244352</Id>
          <InheritPath/>
          <CreateDate>1608172131000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>87699580</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1611660730982</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>0MRLNB/GDEG9</BizappId>
      <TargetEntityNumber>tm_businessbill</TargetEntityNumber>
      <SourceEntityNumber>tm_forex_options</SourceEntityNumber>
      <Id>1048342221558244352</Id>
      <InheritPath></InheritPath>
      <CreateDate>1608172131000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
