<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>1010746217086715904</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1611230798000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>0MRLNB/GDEG9</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>org</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <SourceFieldKey>startdate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>fixeddate</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>NOW()</Expression>
                          <Description/>
                          <ExprTran>NOW()</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>buycurrency_er</TargetFieldKey>
                      <SourceFieldKey>basecurrency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>sellcurrency_er</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>currency = basecurrency</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>支付信息的币别为基准币别</Description>
                                  <ExprTran>币别 = 基准币别</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>sellcurrency</Expression>
                                  <Description>收取信息的币别</Description>
                                  <ExprTran>币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>18M4SCBKOJOO</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>sellcurrency = basecurrency</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>收取信息的币别为基准币别</Description>
                                  <ExprTran>币别 = 基准币别</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>currency</Expression>
                                  <Description>支付信息的币别</Description>
                                  <ExprTran>币别</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>18M4SCBKS9ET</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>buynalprincipal</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>basecurrency = currency</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>支付信息的币别为基准币别</Description>
                                  <ExprTran>基准币别 = 币别</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>amount</Expression>
                                  <Description>支付信息的交易金额</Description>
                                  <ExprTran>交易金额</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>18M5/3LHURMC</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>basecurrency = sellcurrency</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description>收取信息的币别为基准币别</Description>
                                  <ExprTran>基准币别 = 币别</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>sellamount</Expression>
                                  <Description>收取信息的交易金额</Description>
                                  <ExprTran>交易金额</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>18M5/3LHYGCH</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>tradebill</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>互换.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.tmc.tm.formplugin.convert.TradeBillConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[],"forList":false}</FilterString>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>tm_businessbill</TargetEntryKey>
                  <SourceEntryKey>tm_rateswap</SourceEntryKey>
                  <LinkType>Link</LinkType>
                  <SourceLayout>tm_rateswap</SourceLayout>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <TargetEntityNumber>tm_businessbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>汇率确认</Name>
              <SourceEntityNumber>tm_rateswap</SourceEntityNumber>
              <Id>1010746217086715904</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>1010746217086715904</Id>
          <InheritPath/>
          <CreateDate>1603690338000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>87699580</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1611230798822</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>0MRLNB/GDEG9</BizappId>
      <TargetEntityNumber>tm_businessbill</TargetEntityNumber>
      <SourceEntityNumber>tm_rateswap</SourceEntityNumber>
      <Id>1010746217086715904</Id>
      <InheritPath></InheritPath>
      <CreateDate>1603690338000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
